package cn.com.qmth.examcloud.core.basic.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.core.basic.dao.entity.RolePrivilegeRelation;
import cn.com.qmth.examcloud.core.basic.dao.entity.RolePrivilegeRelationPK;

public interface RolePrivilegeRelationRepo
		extends
			JpaRepository<RolePrivilegeRelation, RolePrivilegeRelationPK>,
			QueryByExampleExecutor<RolePrivilegeRelation>,
			JpaSpecificationExecutor<RolePrivilegeRelation> {

	List<RolePrivilegeRelation> findAllByRoleId(Long roleId);

	List<RolePrivilegeRelation> findAllByRoleIdIn(List<Long> roleIdList);

}
